//
//  ViewController.m
//  Test
//
//  Created by 余西安 on 16/3/11.
//  Copyright © 2016年 Sian. All rights reserved.
//

#import "ViewController.h"
#import "SAActionSheet.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
}
/// 弹出分享面板
- (IBAction)action:(UIButton *)sender
{
    [SAActionSheet sheetWithItems:[self shareItems] actionWithBlock:^(UIButton *item, NSInteger index) {
        switch (index) {
            case 1: [self show:@"微信好友"]; break;
            case 2: [self show:@"朋友圈"]; break;
            case 3: [self show:@"微信收藏"]; break;
            case 4: [self show:@"QQ好友"]; break;
            case 5: [self show:@"QQ空间"]; break;
            default: break;
        }
    }];
}
/// 创建按钮数组
- (NSArray *)shareItems
{
    UIImage *image1 = [UIImage imageNamed:@"Action_Share.png"];
    UIImage *image2 = [UIImage imageNamed:@"Action_Moments.png"];
    UIImage *image3 = [UIImage imageNamed:@"Action_MyFavAdd.png"];
    UIImage *image4 = [UIImage imageNamed:@"Action_QQ.png"];
    UIImage *image5 = [UIImage imageNamed:@"Action_qzone.png"];
    UIButton *button1 = [UIButton buttonWithType:UIButtonTypeSystem];
    UIButton *button2 = [UIButton buttonWithType:UIButtonTypeSystem];
    UIButton *button3 = [UIButton buttonWithType:UIButtonTypeSystem];
    UIButton *button4 = [UIButton buttonWithType:UIButtonTypeSystem];
    UIButton *button5 = [UIButton buttonWithType:UIButtonTypeSystem];
    [button1 setBackgroundImage:image1 forState:UIControlStateNormal];
    [button2 setBackgroundImage:image2 forState:UIControlStateNormal];
    [button3 setBackgroundImage:image3 forState:UIControlStateNormal];
    [button4 setBackgroundImage:image4 forState:UIControlStateNormal];
    [button5 setBackgroundImage:image5 forState:UIControlStateNormal];
    [button1 setTitle:@"微信好友" forState:UIControlStateNormal];
    [button2 setTitle:@"朋友圈" forState:UIControlStateNormal];
    [button3 setTitle:@"微信收藏" forState:UIControlStateNormal];
    [button4 setTitle:@"QQ好友" forState:UIControlStateNormal];
    [button5 setTitle:@"QQ空间" forState:UIControlStateNormal];
    return @[button1, button2, button3, button4, button5];
}
// 附属方法，显示结果
- (void)show:(NSString *)string
{
    [[[UIAlertView alloc] initWithTitle:nil message:string delegate:nil cancelButtonTitle:@"知道了" otherButtonTitles:nil, nil] show];
}
@end
